This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 489313 - system-config-printer crashes with non-utf8 LC_CTYPE
system-config-printer crashes with non-utf8 LC_CTYPE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 08:59 EDT by Oskari Saarenmaa
Modified: 2009-04-09 12:14 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.16-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 12:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oskari Saarenmaa 2009-03-09 08:59:28 EDT
Description of problem:
s-c-p crashes when it's launched if LC_CTYPE is set to a non-utf8 locale and there are configured printers.

Version-Release number of selected component (if applicable):
system-config-printer-1.0.15-1.fc10.x86_64

Steps to Reproduce:
1. LC_CTYPE=fi_FI system-config-printer
  
Actual results:
Traceback (most recent call last):
[....]
  File "/usr/lib/python2.5/site-packages/cupshelpers/cupshelpers.py", line 68, in _expand_flags
    locale.setlocale (locale.LC_CTYPE, current_ctype)
  File "/usr/lib64/python2.5/locale.py", line 478, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting
Exception exceptions.AttributeError: "Printer instance has no attribute '_ppd'" in <bound method Printer.__del__ of <cupshelpers.Printer "hp2">> ignored
Comment 1 Tim Waugh 2009-03-09 10:01:14 EDT
Fixed upstream.
Comment 2 Fedora Update System 2009-03-09 13:23:48 EDT
system-config-printer-1.0.15-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/system-config-printer-1.0.15-2.fc10
Comment 3 Fedora Update System 2009-03-09 18:52:19 EDT
system-config-printer-1.0.15-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2473
Comment 4 Fedora Update System 2009-03-26 10:55:25 EDT
system-config-printer-1.0.16-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2473
Comment 5 Fedora Update System 2009-04-09 12:14:41 EDT
system-config-printer-1.0.16-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.